--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: "This is the default BotUser: it's used for all users which haven't identified with the bot"
constants: []

full_name: Irc::Bot::Auth::DefaultBotUserClass
includes: 
- !ruby/object:RI::IncludedModule 
  name: Singleton
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: autologin=
- !ruby/object:RI::MethodSummary 
  name: knows?
- !ruby/object:RI::MethodSummary 
  name: login
- !ruby/object:RI::MethodSummary 
  name: login_by_mask=
- !ruby/object:RI::MethodSummary 
  name: permit?
- !ruby/object:RI::MethodSummary 
  name: reset_autologin
- !ruby/object:RI::MethodSummary 
  name: reset_login_by_mask
- !ruby/object:RI::MethodSummary 
  name: set_default_permission
name: DefaultBotUserClass
superclass: BotUser
